# SourcePath: util-linux-ng/20170127dev
Summary: Miscellaneous system utilities.
Name: sony-target-dev-util-linux
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-util-linux
Version: 2.26.2
Release: 12000003
License: GPL2 / BSD / Public Domain
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.kernel.org/pub/linux/utils/util-linux/v2.26
Source: util-linux-%{version}.tar.xz
Source1: runuser.pamd
Source2: runuser-l.pamd
Patch1: util-linux-%{version}-adjust-sbin.patch
Patch2: util-linux-ng-replace-siginterrupt.patch
Patch3: util-linux-ng-2.16-mount_lock_path.patch
Patch4: configure-sbindir.patch
Patch5: fix-parallel-build.patch
Patch6: CVE-2016-5011.patch
Patch7: CVE-2016-5011_p2.patch
Patch8: util-linux-readutmp.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-ncurses
# blkid in e2fsprogs package is needed. (available above v1.33)
#BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-e2fsprogs > 1.33
%description
A mixed bag of system utilities: arch blockdev chkdupexe cfdisk cytune
dmesg fdisk fsck.minix getty getopt hwclock ipcrm ipcs mcookie mkfs
mkfs.minix mkswap more namei pivot_root raw setterm setsid tunelp
whereis.

%package -n %{pkgname}
Summary: Miscellaneous system utilities.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
A mixed bag of system utilities: arch blockdev chkdupexe cfdisk cytune
dmesg fdisk fsck.minix getty getopt hwclock ipcrm ipcs mcookie mkfs
mkfs.minix mkswap more namei pivot_root raw setterm setsid tunelp
whereis.

%prep
%setup -q -n util-linux-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%sony_target_dev_setup
sed -i "s|am__api_version='1.14'|am__api_version='1.15'|" configure
#export AL_OPTS="-I%{sony_target_dir}"
%sony_target_dev_configure --sbindir=%{sony_target_dev_sbin_dir} --bindir=%{sony_target_dev_bin_dir} --libdir=%{sony_target_dev_lib_dir} --disable-bash-completion --without-python
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall
# /!\ HINT: If ever make install failed and log shows failure of chgrp,
#           add tty to builder's group, and re-login and rebuild.

# getty is a special case
# In the past wa called agetty "getty" so symlink it here.
ln -s agetty %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/getty

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_info_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/info

# remove eject binary as is provided by separate eject rpm
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/eject

# dev busybox locates logger command at /devel/usr/bin,
# mv to /devel/usr/local/bin. (tentative. permanent fix is to mv busybox
# logger command to /devel/bin. do that at next busybox version up.)
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}
for c in logger taskset su ; do
	mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$c \
	   %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/$c
done
# move sbin commands which were at devel/sbin in previous version
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin
for c in blockdev cfdisk fsck.minix hwclock mkfs mkfs.minix mkswap; do
	mv %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/$c \
	   %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin/$c
done
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_local_sbin_dir}
for c in fdisk sfdisk; do
	mv %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/$c \
	   %{buildroot}%{sony_target_dir}%{sony_target_dev_local_sbin_dir}/$c
done

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done
%demangle_libtool

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_bin_dir}/cal
#%{sony_target_dir}%{sony_target_dev_bin_dir}/chkdupexe
%{sony_target_dir}%{sony_target_dev_bin_dir}/chrt
%{sony_target_dir}%{sony_target_dev_bin_dir}/chfn
%{sony_target_dir}%{sony_target_dev_bin_dir}/chsh
%{sony_target_dir}%{sony_target_dev_bin_dir}/col
%{sony_target_dir}%{sony_target_dev_bin_dir}/colcrt
%{sony_target_dir}%{sony_target_dev_bin_dir}/colrm
%{sony_target_dir}%{sony_target_dev_bin_dir}/column
#%{sony_target_dir}%{sony_target_dev_bin_dir}/cytune
#%{sony_target_dir}%{sony_target_dev_bin_dir}/ddate
%{sony_target_dir}%{sony_target_dev_bin_dir}/dmesg
%{sony_target_dir}%{sony_target_dev_bin_dir}/flock
%{sony_target_dir}%{sony_target_dev_bin_dir}/getopt
%{sony_target_dir}%{sony_target_dev_bin_dir}/hexdump
%{sony_target_dir}%{sony_target_dev_bin_dir}/ionice
%{sony_target_dir}%{sony_target_dev_bin_dir}/ipcrm
%{sony_target_dir}%{sony_target_dev_bin_dir}/ipcs
%{sony_target_dir}%{sony_target_dev_bin_dir}/isosize
%{sony_target_dir}%{sony_target_dev_bin_dir}/last
%{sony_target_dir}%{sony_target_dev_bin_dir}/lastb
#%{sony_target_dir}%{sony_target_dev_bin_dir}/line
%{sony_target_dir}%{sony_target_dev_bin_dir}/linux32
%{sony_target_dir}%{sony_target_dev_bin_dir}/linux64
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/logger
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/su
%{sony_target_dir}%{sony_target_dev_bin_dir}/look
%{sony_target_dir}%{sony_target_dev_bin_dir}/mcookie
%{sony_target_dir}%{sony_target_dev_bin_dir}/more
%{sony_target_dir}%{sony_target_dev_bin_dir}/mount
%{sony_target_dir}%{sony_target_dev_bin_dir}/namei
%{sony_target_dir}%{sony_target_dev_bin_dir}/pg
%{sony_target_dir}%{sony_target_dev_bin_dir}/findmnt
%{sony_target_dir}%{sony_target_dev_bin_dir}/kill
%{sony_target_dir}%{sony_target_dev_bin_dir}/login
%{sony_target_dir}%{sony_target_dev_bin_dir}/lsblk
%{sony_target_dir}%{sony_target_dev_bin_dir}/lscpu
%{sony_target_dir}%{sony_target_dev_bin_dir}/lslocks
%{sony_target_dir}%{sony_target_dev_bin_dir}/mountpoint
%{sony_target_dir}%{sony_target_dev_bin_dir}/mesg
%{sony_target_dir}%{sony_target_dev_bin_dir}/nsenter
%{sony_target_dir}%{sony_target_dev_bin_dir}/prlimit
#%{sony_target_dir}%{sony_target_dev_bin_dir}/su
%{sony_target_dir}%{sony_target_dev_bin_dir}/utmpdump
%{sony_target_dir}%{sony_target_dev_bin_dir}/uname26
%{sony_target_dir}%{sony_target_dev_bin_dir}/wdctl
%if "%{sony_target_cpu}" == "i386" || "%{sony_target_cpu}" == "i686"
%{sony_target_dir}%{sony_target_dev_bin_dir}/i386
%endif
%if "%{sony_target_cpu}" == "ppc"
%{sony_target_dir}%{sony_target_dev_bin_dir}/ppc
%{sony_target_dir}%{sony_target_dev_bin_dir}/ppc32
%{sony_target_dir}%{sony_target_dev_bin_dir}/ppc64
%endif
%if "%{sony_target_cpu}" == "mips"
%{sony_target_dir}%{sony_target_dev_bin_dir}/mips
%{sony_target_dir}%{sony_target_dev_bin_dir}/mips32
%{sony_target_dir}%{sony_target_dev_bin_dir}/mips64
%endif
%{sony_target_dir}%{sony_target_dev_bin_dir}/rename
%{sony_target_dir}%{sony_target_dev_bin_dir}/renice
%{sony_target_dir}%{sony_target_dev_bin_dir}/rev
%{sony_target_dir}%{sony_target_dev_bin_dir}/script
%{sony_target_dir}%{sony_target_dev_bin_dir}/scriptreplay
%{sony_target_dir}%{sony_target_dev_bin_dir}/setarch
%{sony_target_dir}%{sony_target_dev_bin_dir}/setsid
%{sony_target_dir}%{sony_target_dev_bin_dir}/setterm
%{sony_target_dir}%{sony_target_dev_bin_dir}/tailf
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/taskset
%{sony_target_dir}%{sony_target_dev_bin_dir}/ul
%{sony_target_dir}%{sony_target_dev_bin_dir}/umount
%{sony_target_dir}%{sony_target_dev_bin_dir}/wall
%{sony_target_dir}%{sony_target_dev_bin_dir}/whereis
%{sony_target_dir}%{sony_target_dev_bin_dir}/lslogins
%{sony_target_dir}%{sony_target_dev_sbin_dir}/agetty
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ctrlaltdel
%{sony_target_dir}%{sony_target_dev_sbin_dir}/fsck.cramfs
%{sony_target_dir}%{sony_target_dev_sbin_dir}/getty
%{sony_target_dir}%{sony_target_dev_sbin_dir}/losetup
%{sony_target_dir}%{sony_target_dev_sbin_dir}/mkfs.bfs
%{sony_target_dir}%{sony_target_dev_sbin_dir}/mkfs.cramfs
%{sony_target_dir}%{sony_target_dev_sbin_dir}/addpart
%{sony_target_dir}%{sony_target_dev_sbin_dir}/blkdiscard
%{sony_target_dir}%{sony_target_dev_sbin_dir}/chcpu
%{sony_target_dir}%{sony_target_dev_sbin_dir}/delpart
%{sony_target_dir}%{sony_target_dev_sbin_dir}/fsfreeze
%{sony_target_dir}%{sony_target_dev_sbin_dir}/fstrim
%{sony_target_dir}%{sony_target_dev_sbin_dir}/partx
%{sony_target_dir}%{sony_target_dev_sbin_dir}/raw
%{sony_target_dir}%{sony_target_dev_sbin_dir}/resizepart
%{sony_target_dir}%{sony_target_dev_sbin_dir}/runuser
%{sony_target_dir}%{sony_target_dev_sbin_dir}/sulogin
%{sony_target_dir}%{sony_target_dev_sbin_dir}/swaplabel
%{sony_target_dir}%{sony_target_dev_sbin_dir}/pivot_root
%{sony_target_dir}%{sony_target_dev_sbin_dir}/readprofile
%{sony_target_dir}%{sony_target_dev_sbin_dir}/rtcwake
%{sony_target_dir}%{sony_target_dev_local_sbin_dir}/sfdisk
%{sony_target_dir}%{sony_target_dev_local_sbin_dir}/fdisk
%{sony_target_dir}%{sony_target_dev_sbin_dir}/swapoff
%{sony_target_dir}%{sony_target_dev_sbin_dir}/swapon
#%{sony_target_dir}%{sony_target_dev_sbin_dir}/tunelp
%{sony_target_dir}%{sony_target_dev_data_dir}/doc/util-linux/getopt/getopt-parse.bash
%{sony_target_dir}%{sony_target_dev_data_dir}/doc/util-linux/getopt/getopt-parse.tcsh
#%{sony_target_dir}%{sony_target_dev_data_dir}/getopt/getopt-test.bash
#%{sony_target_dir}%{sony_target_dev_data_dir}/getopt/getopt-test.tcsh
%{sony_target_dir}%{sony_target_dev_bin_dir}/fallocate
%{sony_target_dir}%{sony_target_dev_bin_dir}/ipcmk
%{sony_target_dir}%{sony_target_dev_bin_dir}/unshare
%{sony_target_dir}%{sony_target_dev_bin_dir}/uuidgen
%{sony_target_dir}%{sony_target_dev_bin_dir}/setpriv
%{sony_target_dir}%{sony_target_dev_sbin_dir}/blkid
%{sony_target_dir}%{sony_target_dev_sbin_dir}/fdformat
%{sony_target_dir}%{sony_target_dev_sbin_dir}/findfs
%{sony_target_dir}%{sony_target_dev_sbin_dir}/fsck
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ldattach
%{sony_target_dir}%{sony_target_dev_sbin_dir}/switch_root
%{sony_target_dir}%{sony_target_dev_sbin_dir}/uuidd
%{sony_target_dir}%{sony_target_dev_sbin_dir}/wipefs
%{sony_target_dir}%{sony_target_dev_sbin_dir}/nologin
%{sony_target_dir}%{sony_target_dev_sbin_dir}/zramctl
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libmount*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libfdisk*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libsmartcols*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libmount.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libblkid.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libfdisk.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libsmartcols.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libuuid.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libblkid.*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libuuid.*
%{sony_target_dir}%{sony_target_devtool_include_dir}/libfdisk/libfdisk.h
%{sony_target_dir}%{sony_target_devtool_include_dir}/libmount/libmount.h
%{sony_target_dir}%{sony_target_devtool_include_dir}/libsmartcols/libsmartcols.h
%{sony_target_dir}%{sony_target_devtool_include_dir}/blkid/blkid.h
%{sony_target_dir}%{sony_target_devtool_include_dir}/uuid/uuid.h
%{sony_target_dir}%{sony_target_dev_dir}/sbin/blockdev
%{sony_target_dir}%{sony_target_dev_dir}/sbin/cfdisk
%{sony_target_dir}%{sony_target_dev_dir}/sbin/fsck.minix
%{sony_target_dir}%{sony_target_dev_dir}/sbin/hwclock
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mkfs
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mkfs.minix
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mkswap

%changelog
* Tue Dec 10 2019 Sony Corporation 
- Added util-linux-readutmp patch
- Added configuration option --without-python

* Thu Dec 05 2019 Sony Corporation 
- Added util-linux-readutmp patch, util-linux-2.26.2-without-python.patch, 
- README-util-linux.txt for license fix

* Fri Jan 27 2017 Sony Corporation
- Updated Version from 2.23.2 -> 2.26.2

* Tue Sep 10 2013 Sony Corporation
- Updated Version from 2.23 -> 2.23.2

* Wed Jul 17 2013 Sony Corporation
- Move blkid & uuid binaries to /usr/local/ -> /usr

* Wed Jun 13 2013 Sony Corporation
- Added fdisk segmentation fault fix patch
- Move fdisk from /usr/local/sbin -> /sbin

* Mon May 06 2013 Sony Corporation
- Move fdisk to /usr/local/sbin as /sbin/fdisk supported by busybox

* Tue Apr 09 2013 Sony Corporation
- Updated Version from 2.17.2 -> 2.23

* Thu Oct 29 2012 Sony Corporation
- Changed install location of blkid, fsck, findfs and uuidd to /sbin

* Wed Oct 10 2012 Sony Corporation
- Updated Version from 2.13 -> 2.17.2
- Added support for uuid and blkid

* Tue Feb 09 2010 Sony Corporation
- Install location of taskset changed to /devel/usr/local/bin due
  taskset command support added in dev-busybox.

* Wed Apr 30 2008 Sony Corporation
- Added i686 support

* Fri Sep 28 2007 Sony Corporation
- add patch to adjust /sbin dir to /devel/sbin.

* Fri Sep 07 2007 Sony Corporation
- Version up to util-linux-ng-2.13.

* Wed Aug 29 2007 Sony Corporation
- Integrated CE3.x and CE4.x.

* Thu May 31  2007 Sony Corporation
- CE4.X: added kernel-2.6.21 support patch

* Thu Mar 08  2007 Sony Corporation
- Version update to 2.12r

* Wed Feb 28 2007 Sony Corporation
- Change install location of sfdisk to /devel/usr/local/sbin

* Wed Jan 24 2007 Sony Corporation
- add allow gcc4 patch

* Thu Jun 15 2006 Sony Corporation
- change Install Location: logger

* Fri Apr 28 2005 Sony Corporation
- fix command path

* Tue Feb 01 2005 Sony Corporation
- delete init.d script

* Thu Dec 16 2004 Sony Corporation
- add util-linux-2.11-linux-2.6.9.patch for kernel 2.6.9

* Thu Nov 16 2004 Sony Corporation
- 3 package -> 1 package

* Mon Nov 15 2004 Sony Corporation
- change SourcePath: util-linux/2004xxxxdev -> util-linux/20041102dev

* Tue Nov 2 2004 Sony Corporation
- MVL31=>sony version
